#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ap-normalize
version:              0.1.0.0
visibility:           public
id:                   ap-normalize-0.1.0.0-Cq0DB4PO0mVGzlMqwj6qHU
key:                  ap-normalize-0.1.0.0-Cq0DB4PO0mVGzlMqwj6qHU
license:              MIT
copyright:            Li-yao Xia 2020
maintainer:           lysxia@gmail.com
author:               Li-yao Xia
synopsis:             Self-normalizing applicative expressions
description:
    An applicative functor transformer to normalize expressions using @(\<$>)@,
    @(\<*>)@, and @pure@ into a linear list of actions.
    See "ApNormalize" to get started.

category:             Control
abi:                  490102917183b41417d62e04956f098d
exposed:              True
exposed-modules:      ApNormalize ApNormalize.Aps ApNormalize.DList
import-dirs:          /usr/lib/ghc-8.10.4/site-local/ap-normalize-0.1.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/ap-normalize-0.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/ap-normalize-0.1.0.0
hs-libraries:         HSap-normalize-0.1.0.0-Cq0DB4PO0mVGzlMqwj6qHU
depends:              base-4.14.1.0
haddock-interfaces:
    /usr/share/doc/haskell-ap-normalize/html/ap-normalize.haddock

haddock-html:         /usr/share/doc/haskell-ap-normalize/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

